Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class JavaParserTokenManager

    java.lang.Object
      net.sourceforge.pmd.ast.JavaParserTokenManager

All Implemented Interfaces:
  JavaParserConstants

public class JavaParserTokenManager
extends java.lang.Object
implements JavaParserConstants

Field Summary
`protected char` | `curChar`
`(package private) int` | `curLexState`
`java.io.PrintStream` | `debugStream`
`(package private) int` | `defaultLexState`
`(package private) java.lang.StringBuffer` | `image`
`protected CharStream` | `input_stream`
`(package private) static long[]` | `jjbitVec0`
`(package private) static long[]` | `jjbitVec10`
`(package private) static long[]` | `jjbitVec11`
`(package private) static long[]` | `jjbitVec12`
`(package private) static long[]` | `jjbitVec13`
`(package private) static long[]` | `jjbitVec14`
`(package private) static long[]` | `jjbitVec15`
`(package private) static long[]` | `jjbitVec16`
`(package private) static long[]` | `jjbitVec17`
`(package private) static long[]` | `jjbitVec18`
`(package private) static long[]` | `jjbitVec19`
`(package private) static long[]` | `jjbitVec2`
`(package private) static long[]` | `jjbitVec20`
`(package private) static long[]` | `jjbitVec21`
`(package private) static long[]` | `jjbitVec22`
`(package private) static long[]` | `jjbitVec23`
`(package private) static long[]` | `jjbitVec24`
`(package private) static long[]` | `jjbitVec25`
`(package private) static long[]` | `jjbitVec26`
`(package private) static long[]` | `jjbitVec27`
`(package private) static long[]` | `jjbitVec28`
`(package private) static long[]` | `jjbitVec29`
`(package private) static long[]` | `jjbitVec3`
`(package private) static long[]` | `jjbitVec30`
`(package private) static long[]` | `jjbitVec31`
`(package private) static long[]` | `jjbitVec32`
`(package private) static long[]` | `jjbitVec33`
`(package private) static long[]` | `jjbitVec34`
`(package private) static long[]` | `jjbitVec35`
`(package private) static long[]` | `jjbitVec36`
`(package private) static long[]` | `jjbitVec37`
`(package private) static long[]` | `jjbitVec38`
`(package private) static long[]` | `jjbitVec39`
`(package private) static long[]` | `jjbitVec4`
`(package private) static long[]` | `jjbitVec40`
`(package private) static long[]` | `jjbitVec41`
`(package private) static long[]` | `jjbitVec42`
`(package private) static long[]` | `jjbitVec43`
`(package private) static long[]` | `jjbitVec44`
`(package private) static long[]` | `jjbitVec45`
`(package private) static long[]` | `jjbitVec46`
`(package private) static long[]` | `jjbitVec47`
`(package private) static long[]` | `jjbitVec48`
`(package private) static long[]` | `jjbitVec49`
`(package private) static long[]` | `jjbitVec5`
`(package private) static long[]` | `jjbitVec50`
`(package private) static long[]` | `jjbitVec51`
`(package private) static long[]` | `jjbitVec52`
`(package private) static long[]` | `jjbitVec53`
`(package private) static long[]` | `jjbitVec54`
`(package private) static long[]` | `jjbitVec55`
`(package private) static long[]` | `jjbitVec56`
`(package private) static long[]` | `jjbitVec57`
`(package private) static long[]` | `jjbitVec58`
`(package private) static long[]` | `jjbitVec59`
`(package private) static long[]` | `jjbitVec6`
`(package private) static long[]` | `jjbitVec60`
`(package private) static long[]` | `jjbitVec61`
`(package private) static long[]` | `jjbitVec7`
`(package private) static long[]` | `jjbitVec8`
`(package private) static long[]` | `jjbitVec9`
`(package private) int` | `jjimageLen`
`(package private) int` | `jjmatchedKind`
`(package private) int` | `jjmatchedPos`
`static int[]` | `jjnewLexState`
`(package private) int` | `jjnewStateCnt`
`(package private) static int[]` | `jjnextStates`
`(package private) int` | `jjround`
`static java.lang.String[]` | `jjstrLiteralImages`
`(package private) static long[]` | `jjtoMore`
`(package private) static long[]` | `jjtoSkip`
`(package private) static long[]` | `jjtoSpecial`
`(package private) static long[]` | `jjtoToken`
`(package private) int` | `lengthOfMatch`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface net.sourceforge.pmd.ast.JavaParserConstants
`_DEFAULT, ABSTRACT, ANDASSIGN, ASSIGN, AT, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DO, DOT, DOUBLE, ELLIPSIS, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_FLOATING_POINT_LITERAL, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PART_LETTER, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

Constructor Summary
`JavaParserTokenManager(CharStream stream)`
`JavaParserTokenManager(CharStream stream, int lexState)`

Method Summary
`java.util.Map` | `getExcludeMap()`
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`(package private) void` | `MoreLexicalActions()`
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(CharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `setExcludeMarker(java.lang.String marker)`
`(package private) void` | `SkipLexicalActions(Token matchedToken)`
`void` | `SwitchTo(int lexState)`
`(package private) void` | `TokenLexicalActions(Token matchedToken)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjbitVec2

    static final long[] jjbitVec2

### jjbitVec3

    static final long[] jjbitVec3

### jjbitVec4

    static final long[] jjbitVec4

### jjbitVec5

    static final long[] jjbitVec5

### jjbitVec6

    static final long[] jjbitVec6

### jjbitVec7

    static final long[] jjbitVec7

### jjbitVec8

    static final long[] jjbitVec8

### jjbitVec9

    static final long[] jjbitVec9

### jjbitVec10

    static final long[] jjbitVec10

### jjbitVec11

    static final long[] jjbitVec11

### jjbitVec12

    static final long[] jjbitVec12

### jjbitVec13

    static final long[] jjbitVec13

### jjbitVec14

    static final long[] jjbitVec14

### jjbitVec15

    static final long[] jjbitVec15

### jjbitVec16

    static final long[] jjbitVec16

### jjbitVec17

    static final long[] jjbitVec17

### jjbitVec18

    static final long[] jjbitVec18

### jjbitVec19

    static final long[] jjbitVec19

### jjbitVec20

    static final long[] jjbitVec20

### jjbitVec21

    static final long[] jjbitVec21

### jjbitVec22

    static final long[] jjbitVec22

### jjbitVec23

    static final long[] jjbitVec23

### jjbitVec24

    static final long[] jjbitVec24

### jjbitVec25

    static final long[] jjbitVec25

### jjbitVec26

    static final long[] jjbitVec26

### jjbitVec27

    static final long[] jjbitVec27

### jjbitVec28

    static final long[] jjbitVec28

### jjbitVec29

    static final long[] jjbitVec29

### jjbitVec30

    static final long[] jjbitVec30

### jjbitVec31

    static final long[] jjbitVec31

### jjbitVec32

    static final long[] jjbitVec32

### jjbitVec33

    static final long[] jjbitVec33

### jjbitVec34

    static final long[] jjbitVec34

### jjbitVec35

    static final long[] jjbitVec35

### jjbitVec36

    static final long[] jjbitVec36

### jjbitVec37

    static final long[] jjbitVec37

### jjbitVec38

    static final long[] jjbitVec38

### jjbitVec39

    static final long[] jjbitVec39

### jjbitVec40

    static final long[] jjbitVec40

### jjbitVec41

    static final long[] jjbitVec41

### jjbitVec42

    static final long[] jjbitVec42

### jjbitVec43

    static final long[] jjbitVec43

### jjbitVec44

    static final long[] jjbitVec44

### jjbitVec45

    static final long[] jjbitVec45

### jjbitVec46

    static final long[] jjbitVec46

### jjbitVec47

    static final long[] jjbitVec47

### jjbitVec48

    static final long[] jjbitVec48

### jjbitVec49

    static final long[] jjbitVec49

### jjbitVec50

    static final long[] jjbitVec50

### jjbitVec51

    static final long[] jjbitVec51

### jjbitVec52

    static final long[] jjbitVec52

### jjbitVec53

    static final long[] jjbitVec53

### jjbitVec54

    static final long[] jjbitVec54

### jjbitVec55

    static final long[] jjbitVec55

### jjbitVec56

    static final long[] jjbitVec56

### jjbitVec57

    static final long[] jjbitVec57

### jjbitVec58

    static final long[] jjbitVec58

### jjbitVec59

    static final long[] jjbitVec59

### jjbitVec60

    static final long[] jjbitVec60

### jjbitVec61

    static final long[] jjbitVec61

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoSpecial

    static final long[] jjtoSpecial

### jjtoMore

    static final long[] jjtoMore

### input_stream

    protected CharStream input_stream

### image

    java.lang.StringBuffer image

### jjimageLen

    int jjimageLen

### lengthOfMatch

    int lengthOfMatch

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### JavaParserTokenManager

    public JavaParserTokenManager(CharStream stream)

### JavaParserTokenManager

    public JavaParserTokenManager(CharStream stream,
                                  int lexState)

Method Detail

### setExcludeMarker

    public void setExcludeMarker(java.lang.String marker)

### getExcludeMap

    public java.util.Map getExcludeMap()

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

### SkipLexicalActions

    void SkipLexicalActions(Token matchedToken)

### MoreLexicalActions

    void MoreLexicalActions()

### TokenLexicalActions

    void TokenLexicalActions(Token matchedToken)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.